Bug 838599 - [usability] RFE: unclutter UI, show date/time in tome zone tab
[usability] RFE: unclutter UI, show date/time in tome zone tab
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 749794
  Show dependency treegraph
Reported: 2012-07-09 10:47 EDT by Nils Philippsen
Modified: 2016-08-10 11:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 749794
Last Closed: 2016-08-10 11:28:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2012-07-09 10:47:00 EDT
+++ This bug was initially created as a clone of Bug #749794 +++

Description of problem:
In anaconda timezone config window there's a checkbox to select if the system clock uses UTC or not. On my systems I never know if the clock uses UTC or not but it can easily be determined if I can see what's the current time on the system.

--- Additional comment from clumens@redhat.com on 2011-11-02 09:31:07 EDT ---

We use system-config-date for as much as possible on this screen, so I think it would be best if any changes were made there.

--- Additional comment from nphilipp@redhat.com on 2012-01-31 11:55:17 EST ---

This would clutter up the s-c-date UI (even more ;-), as you then would have a clock on both tabs ("Date and Time" and "Time Zone"), and probably in different places as well... I agree it would come in handy to know the current time when setting the time zone, but I'd first need to come up with a (UI-wise) better way of doing it.
Comment 1 Tim Wegener 2013-02-10 07:50:16 EST
Selecting whether the system clock uses UTC vs local time is completely orthogonal to selecting which time zone a user resides in. Therefore, that checkbox does not belong on the 'Time Zone' tab.

I agree with the OP that this warrants a separate time indicator to show current time according to the hardware clock. This would be displayed in local time (so that the user can sanity check it), and so would be a function of the currently selected setting of the 'System clock uses UTC' checkbox, and the currently selected time zone.

If this would be considered too cluttered, then perhaps 'Hardware clock' deserves its own tab. I think this conceptual separation would help reduce user confusion. This would also provide real estate to provide an explanation of the 'System clock uses UTC' setting, which is likely to be cryptic to new users, along with guidance on how to set this appropriately. There would be ample room for the local time according to the hardware clock display (as a function of currently selected time zone, and local vs UTC hardware clock setting).
Comment 2 Nils Philippsen 2016-08-10 11:28:09 EDT
Thanks for taking the time to submit this request for enhancement.
Unfortunately, I haven't gotten around to implement this feature, sorry for

Because I don't actively develop system-config-date anymore, I won't likely find
the time to work on this ticket, so I'll close this bug now.

Note You need to log in before you can comment on or make changes to this bug.